##Features
#~~~~~ brambles ~~~~~
execute in overworld as @e[tag=!infested] at @s positioned as @s if block ~ ~ ~ light[level=0, waterlogged=false] if predicate brambles run damage @s 1 sweet_berry_bush
execute in overworld as @e[tag=!infested] at @s positioned as @s if block ~ ~ ~ light[level=0, waterlogged=false] if biome ~ ~ ~ bramble run damage @s 1 sweet_berry_bush

##Biomes
#~~~~~ obsidian_field ~~~~~
execute as @e[type=sheep] at @s positioned as @s if biome ~ ~ ~ obsidian_field run data merge entity @s {Color:15}

#~~~~~ illusion ~~~~~
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:cyan_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:lime_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:red_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:blue_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break
#execute as @e[type=minecraft:item, nbt={Item:{id:"minecraft:purple_stained_glass"}}, tag=!fake] positioned as @s at @p[distance=..5] if biome ~ ~ ~ minecraft:illusion_caves run tag @s add break

#execute as @e[tag=break, tag=!fake] positioned as @s at @s run particle block cyan_stained_glass ~ ~ ~ 0.32 0.32 0.32 1 16 normal
execute as @e[tag=break, tag=!fake] positioned as @s at @s run playsound block.amethyst_block.break block @p ~ ~ ~ 10 1
execute as @e[tag=break, tag=!fake] positioned as @s at @s run tag @s add fake

#/give @p potion{CustomPotionColor:16106270,display:{Name:'[{"text":"Swamp witch brew","italic":false}]'},CustomPotionEffects:[{Id:24,Duration:6000,Amplifier:2},{Id:26,Duration:3200,Amplifier:1},{Id:4,Duration:3202,Amplifier:1}]} 1

#~~~~~ marshland ~~~~~
execute as @e[type=zombie] at @s positioned as @s if biome ~ ~ ~ marshland run tag @s add drowned
execute as @e[tag=drowned] at @s positioned as @s if biome ~ ~ ~ marshland run summon drowned ~ ~ ~ {Tags: ["marsh"],CanBreakDoors:1,Attributes:[{Name:"generic.movement_speed",Base:0.3}]}
execute as @e[tag=drowned] at @s positioned as @s if biome ~ ~ ~ marshland run kill @s
execute as @e[tag=marsh] at @s positioned as @s if biome ~ ~ ~ marshland run kill @e[type=item, limit=4, distance=..2]
execute as @e[tag=marsh] at @s positioned as @s if biome ~ ~ ~ marshland run tag @s remove marsh
#/summon drowned ~ ~ ~ {CanBreakDoors:1,Attributes:[{Name:"generic.movement_speed",Base:0.3}]}

##Mobs
#~~~~~ vexs ~~~~~

execute as @e[type=vex] at @s positioned as @s if entity @e[distance=..16, type=evoker] run tag @s add normal
#execute as @e[type=vex, tag=!swarm, tag=!zanzara, tag=!lucciola, tag=!fatuus] at @s positioned as @s unless biome ~ ~ ~ dark_forest run tag @s add swarm
execute in overworld as @e[type=vex, tag=!normal, tag=!swarm, tag=!zanzara, tag=!lucciola, tag=!fatuus] at @s positioned as @s unless entity @e[distance=..16, type=evoker] run tag @s add swarm

execute as @e[tag=swarm] at @s positioned as @s if predicate day run summon vex ~ ~ ~ {Tags: ["zanzara", "killer"],Health:1,Silent:1,HandItems:[{},{}]}
execute as @e[tag=swarm] at @s positioned as @s if predicate night unless biome ~ ~ ~ marshland run summon vex ~ ~ ~ {Tags: ["lucciola", "killer"],Health:1,Silent:1,HandItems:[{},{}]}
execute as @e[tag=swarm] at @s positioned as @s if predicate night if biome ~ ~ ~ marshland run summon vex ~ ~ ~ {Tags: ["fatuus", "killer"],Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:0}],HandItems:[{},{}]}

execute as @e[tag=swarm] at @s positioned as @s if score @s swarm matches 3.. run kill @s
execute in overworld as @e[tag=killer] at @s positioned as @s run kill @e[type=item, limit=4, distance=..5]
execute as @e[tag=killer] at @s positioned as @s run scoreboard players add @e[tag=swarm, distance=..7] swarm 1
execute in overworld as @e[tag=killer] at @s positioned as @s run tag @s remove killer

#~~~~~ mosquitoes
#execute in overworld as @e[type=vex, tag=!zanzara, tag=!lucciola] at @s positioned as @s unless biome ~ ~ ~ dark_forest if predicate day run tag @s add zanzara
#execute as @e[tag=zanzara] at @s positioned as @s run data merge entity @s {Health:1,Silent:1,HandItems:[{},{}]}

execute as @e[tag=zanzara] at @s positioned as @s run effect give @s weakness 999 10 false
execute as @e[tag=zanzara] at @s positioned as @s run effect give @s invisibility 999 10 true

execute as @e[tag=zanzara] at @s positioned as @s run particle dust 0 0 0 1 ~ ~ ~ 0 0 0 100 1
execute as @e[tag=zanzara] at @s run playsound minecraft:entity.bee.loop hostile @p[distance=..5] ~ ~ ~ 0.03 2

execute as @e[tag=zanzara] at @s positioned as @s run damage @p[distance=1..2,limit=1] 1 minecraft:sting

# /playsound minecraft:entity.bee.loop ambient SUPREMUS_04 ~ ~ ~ 10 2

# /playsound block.candle.ambient ambient @p ~ ~ ~ 21 1.8   #cc
# /playsound minecraft:entity.bee.death ambient SUPREMUS_04 ~ ~ ~ 10 0.9   #grd
# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 10 1   #zap_1
# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 10 1   #zap_2
# /playsound minecraft:entity.guardian.ambient_land ambient SUPREMUS_04 ~ ~ ~ 10 1   ##zzzz
# /playsound minecraft:entity.guardian.attack ambient SUPREMUS_04 ~ ~ ~ 10 1.6   ##tv band


#~~~~~ fireflies
#execute in overworld as @e[type=vex, tag=!zanzara, tag=!lucciola] at @s positioned as @s unless biome ~ ~ ~ dark_forest if predicate night run tag @s add lucciola
#execute in overworld if predicate night run tag @e[type=vex, tag=!zanzara, tag=!lucciola] add lucciola
#execute as @e[tag=lucciola] at @s positioned as @s run data merge entity @s {HandItems:[{},{}]}
#execute as @e[tag=lucciola] at @s positioned as @s run data merge entity @s {Health:1,Silent:1}

execute as @e[tag=lucciola] at @s positioned as @s run effect give @s weakness 999 10 true
execute as @e[tag=lucciola] at @s positioned as @s run effect give @s invisibility 999 10 true

execute as @e[tag=lucciola] at @s positioned as @s run particle dust 1 1 0.33 1 ~ ~ ~ 0 0 0 100 3
execute as @e[tag=lucciola] at @s run playsound minecraft:entity.bee.loop_aggressive hostile @p[distance=1..1.3] ~ ~ ~ 0.05 2

execute as @e[tag=lucciola] at @s positioned as @s run scoreboard players add @s led 1
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 0..16 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=15,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 16..20 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=14,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 20..30 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=13,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 30..32 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 32..35 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=11,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 35..36 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 36..44 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=13,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 44..46 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 46..48 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=11,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 48..50 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=10,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 50..58 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=9,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 58..60 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=10,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 60..62 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=11,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 62..64 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 64..74 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=13,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 74..76 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 76..78 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=11,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 78..80 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=12,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 80..92 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=13,waterlogged=false]
execute as @e[tag=lucciola] at @s positioned as @s if score @s led matches 92..100 if block ~ ~ ~ #check/air_l run setblock ~ ~ ~ light[level=14,waterlogged=false]

execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~-1 ~1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~-1 ~-1 ~1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~1 ~1 ~1 ~1 ~-1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~1 ~1 ~-1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~-1 ~1 ~1 minecraft:air replace minecraft:light
execute as @e[tag=lucciola] at @s positioned as @s run fill ~-1 ~-1 ~-1 ~1 ~-1 ~1 minecraft:air replace minecraft:light

execute as @e[tag=lucciola] at @s if score @s led matches 100.. run scoreboard players set @s led 0

# /playsound minecraft:entity.bee.loop_aggressive ambient SUPREMUS_04 ~ ~ ~ 0.05 2

#~~~~~ ignis_fatuus

execute as @e[tag=fatuus] at @s positioned as @s run effect give @s invisibility 999 10 true
execute as @e[tag=fatuus, tag=!ignis] at @s run playsound particle.soul_escape voice @p[distance=..0.81] ~ ~ ~ 1 0.21
execute as @e[tag=fatuus, tag=!ignis] at @s run playsound particle.soul_escape voice @p[distance=1.7..2.1] ~ ~ ~ 0.1 0.21

execute as @e[tag=fatuus] at @s positioned as @s run scoreboard players add @s errant 1

execute as @e[tag=fatuus] at @s positioned as @s if block ~ ~-3.2 ~ minecraft:soul_soil if block ~ ~ ~ minecraft:air run data merge entity @s {NoAI:1b}
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:mud if block ~ ~ ~ minecraft:air run data merge entity @s {NoAI:1b}
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:muddy_mangrove_roots if block ~ ~ ~ minecraft:air run data merge entity @s {NoAI:1b}

execute as @e[tag=fatuus] at @s positioned as @s if block ~ ~-3.2 ~ minecraft:soul_soil if block ~ ~ ~ minecraft:air run tag @s add ignis
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:mud if block ~ ~ ~ minecraft:air run tag @s add ignis
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:muddy_mangrove_roots if block ~ ~ ~ minecraft:air run tag @s add ignis

execute as @e[tag=fatuus] at @s positioned as @s if block ~ ~-3.2 ~ minecraft:soul_soil if block ~ ~ ~ minecraft:air run setblock ~ ~ ~ minecraft:light[level=7]
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:mud if block ~ ~ ~ minecraft:air run setblock ~ ~ ~ minecraft:light[level=7]
execute as @e[tag=fatuus] at @s positioned as @s if score @s errant matches 120.. if block ~ ~-3.2 ~ minecraft:muddy_mangrove_roots if block ~ ~ ~ minecraft:air run setblock ~ ~ ~ minecraft:light[level=7]

execute as @e[tag=ignis] at @s positioned as @s run scoreboard players add @s soul 1

execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 1..320 run playsound block.candle.ambient ambient @p[distance=..2.7] ~ ~ ~ 1 0.01
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 1..180 run particle soul_fire_flame ~ ~ ~ 0.032 0.1 0.032 0.00001 3
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 180..300 run particle soul_fire_flame ~ ~ ~ 0.03 0.081 0.03 0.001 3
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 180..181 run setblock ~ ~ ~ minecraft:light[level=6]
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 250..252 run setblock ~ ~ ~ minecraft:light[level=5]
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 300..324 run particle soul_fire_flame ~ ~ ~ 0.03 0.1 0.03 0.001 1

execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 320..325 run setblock ~ ~ ~ air
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 325.. run playsound block.candle.extinguish ambient @p[distance=..7] ~ ~ ~ 0.7 1
execute as @e[tag=ignis] at @s positioned as @s if score @s soul matches 325.. run kill @s

execute as @e[tag=ignis] at @s positioned as @s if entity @e[type=item, distance=..1, nbt={Item:{id:"minecraft:lantern",Count:1b}}] run summon minecraft:item ~ ~ ~ {Tags:["jeck"] ,Item:{id:"minecraft:soul_lantern",Count:1b}}
execute as @e[type=item, tag=jeck] at @s positioned as @s if entity @e[tag=ignis, distance=..1.6] run playsound minecraft:entity.ghast.shoot ambient @p[distance=..7] ~ ~ ~ 0.09 2
execute as @e[type=item, tag=jeck] at @s positioned as @s if entity @e[tag=ignis, distance=..1.6] run playsound particle.soul_escape voice @p[distance=..7] ~ ~ ~ 10 1.8
execute as @e[type=item, tag=jeck] at @s positioned as @e[tag=ignis, distance=..7, limit=1] run setblock ~ ~ ~ air

execute as @e[type=item, tag=jeck] at @s positioned as @s run advancement grant @p only adventure/lost_soul

execute as @e[type=item, tag=jeck] at @s positioned as @s run kill @e[tag=ignis, distance=..7, limit=1]
execute as @e[type=item, tag=jeck] at @s positioned as @s run kill @e[type=item, distance=..7, nbt={Item:{id:"minecraft:lantern",Count:1b}}, limit=1]
execute as @e[type=item, tag=jeck] at @s positioned as @s run tag @s remove jeck

#/playsound particle.soul_escape ambient @p ~ ~ ~ 1 0.21

#/playsound block.candle.extinguish ambient @p ~ ~ ~ 21 0.1
#/playsound minecraft:entity.ghast.shoot ambient @p ~ ~ ~ 1 2
#/playsound block.lava.extinguish ambient @p ~ ~ ~ 0.21 1.6

#~~~~~ desert_crocodile ~~~~~
execute as @e[type=silverfish, tag=!crocodile] at @s positioned as @s if biome ~ ~ ~ desert run tag @s add crocodile
execute as @e[tag=crocodile] at @s positioned as @s run data merge entity @s {Silent:1}
effect give @e[tag=crocodile] minecraft:invisibility infinite 0 true

execute as @e[tag=crocodile] at @s positioned as @s unless data entity @s {Motion:[0.0d, -0.0784000015258789d, 0.0d]} run particle block sand ~ ~ ~ 0 0 0 0 1 normal

execute as @e[tag=crocodile] at @s positioned as @s if block ~ ~-1 ~ #sand run scoreboard players add @s crocodile_sound 1
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 12..15 run playsound minecraft:block.sand.break hostile @p[distance=..5] ~ ~ ~ 1 0.7
execute as @e[tag=crocodile] at @s if score @s crocodile_sound matches 15.. run scoreboard players set @s crocodile_sound 0


execute as @e[type=minecraft:silverfish, tag=crocodile] positioned as @s at @p[distance=1.6..2] unless entity @e[type=minecraft:evoker_fangs,distance=..2] run summon minecraft:evoker_fangs
execute as @e[type=minecraft:silverfish, tag=crocodile] at @s positioned as @s run kill @e[type=minecraft:evoker_fangs, distance=..1]


